package com.god.base.server.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.god.base.domain.Car;
import com.god.base.domain.TopicCar;
import com.god.base.domain.request.GetTopicReq;

/**
 * 车辆上线
 * @Author fst
 * @date 2023/11/28 23:41
 */
public interface TopLineService extends IService<TopicCar> {


    /**
     * 车辆上线，同时返回主题
     * @param getTopicReq
     * @return
     */
    String getTopic(GetTopicReq getTopicReq);
}
