package com.god.base.server.util;

import com.god.base.domain.request.GetTopicReq;
import lombok.extern.log4j.Log4j2;

/**
 * @description: md5加密工具类
 * @Author fst
 * @date 2023/11/29 14:16
 */
@Log4j2
public class Md5Util {

    public static String  md5(GetTopicReq getTopicReq) {
        try {
            java.security.MessageDigest md = java.security.MessageDigest.getInstance("MD5");
            String str = getTopicReq.getTimestamp() + getTopicReq.getUsername() + getTopicReq.getNonce() + getTopicReq.getVehicleVin();
            byte[] array = md.digest(str.getBytes());
            StringBuffer sb = new StringBuffer();
            for (int i = 0; i < array.length; ++i) {
                sb.append(Integer.toHexString((array[i] & 0xFF) | 0x100).substring(1, 3));
            }
            return sb.toString();
        }
        catch (java.security.NoSuchAlgorithmException e) {
            log.error("MD5加密出现异常", e);
            e.printStackTrace();
        }
        return null;
    }
}
