package com.god.base.server.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.god.base.domain.Breakdown;
import com.god.base.domain.request.BreakdownRequest;
import com.god.common.core.web.page.TableDataInfo;

/**
 * 车辆故障码service
 *
 * @author ChenXinHai
 * @version 2023/11/20 - 19:32
 */
public interface BreakdownService extends IService<Breakdown> {


    /**
     * 分页查询故障信息
     * @param breakdownRequest
     * @return
     */

    TableDataInfo<Breakdown> breakdownList(BreakdownRequest breakdownRequest);

}
